Export evaluation results as TSV file
curl --request GET \
--url https://beta.getplum.ai/v1/evaluation/{id}/export_tsv \
--header 'Authorization: <api-key>'import requests
url = "https://beta.getplum.ai/v1/evaluation/{id}/export_tsv"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://beta.getplum.ai/v1/evaluation/{id}/export_tsv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://beta.getplum.ai/v1/evaluation/{id}/export_tsv",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://beta.getplum.ai/v1/evaluation/{id}/export_tsv"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://beta.getplum.ai/v1/evaluation/{id}/export_tsv")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://beta.getplum.ai/v1/evaluation/{id}/export_tsv")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_bodypair_id pair_input pair_output pair_labels helpfulness_score helpfulness_reason accuracy_score accuracy_reason
1704067200001 What is the capital of France? The capital of France is Paris. geography,factual 4.50 Provides direct and accurate answer 5.00 Completely accurate information
1704067200002 Explain quantum physics Quantum physics is very complicated... physics,complex 2.00 Too vague and unhelpful 2.50 Lacks specific details and accuracy
{
"error": "results id cannot be empty"
}{
"error": "no detailed scoring data available for this evaluation"
}{
"error": "failed to get eval results: please try again later"
}API Reference
Export evaluation results as TSV file
Exports comprehensive evaluation results as a Tab-Separated Values (TSV) file with all scored pairs, their scores, reasons, and labels for analysis in spreadsheet applications. All scored pairs data is automatically collected and stored during evaluation.
GET
/
evaluation
/
{id}
/
export_tsv
Export evaluation results as TSV file
curl --request GET \
--url https://beta.getplum.ai/v1/evaluation/{id}/export_tsv \
--header 'Authorization: <api-key>'import requests
url = "https://beta.getplum.ai/v1/evaluation/{id}/export_tsv"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://beta.getplum.ai/v1/evaluation/{id}/export_tsv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://beta.getplum.ai/v1/evaluation/{id}/export_tsv",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://beta.getplum.ai/v1/evaluation/{id}/export_tsv"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://beta.getplum.ai/v1/evaluation/{id}/export_tsv")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://beta.getplum.ai/v1/evaluation/{id}/export_tsv")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_bodypair_id pair_input pair_output pair_labels helpfulness_score helpfulness_reason accuracy_score accuracy_reason
1704067200001 What is the capital of France? The capital of France is Paris. geography,factual 4.50 Provides direct and accurate answer 5.00 Completely accurate information
1704067200002 Explain quantum physics Quantum physics is very complicated... physics,complex 2.00 Too vague and unhelpful 2.50 Lacks specific details and accuracy
{
"error": "results id cannot be empty"
}{
"error": "no detailed scoring data available for this evaluation"
}{
"error": "failed to get eval results: please try again later"
}Authorizations
Path Parameters
ID of the evaluation results to export
Response
Successfully exported evaluation results as TSV
TSV file with columns - pair_id, pair_input, pair_output, pair_labels, then for each metric - {metric_name}_score, {metric_name}_reason
⌘I